Create Legal Entity
curl --request POST \
--url https://dataapi.dncscrub.com/v1.5/legalentity/Create \
--header 'Content-Type: <content-type>' \
--header 'loginId: <loginid>' \
--data '
{
"LegalName": "<string>",
"IsDefault": true,
"EIN": "<string>",
"StreetAddress": "<string>",
"City": "<string>",
"State": "<string>",
"Zip": "<string>",
"CountryCode": "<string>",
"IndustryId": "<string>",
"PrimaryPhoneNumber": "<string>",
"PrimaryContactName": "<string>",
"PrimaryContactEmail": "<string>",
"PrimaryContactPhoneNumber": "<string>",
"EmployeeCount": 123,
"CallsPerMonth": 123,
"DunsNumber": "<string>",
"Url": "<string>",
"Dba": "<string>",
"LicenceNumber": "<string>",
"CallPurposeDescription": "<string>",
"PotentialNegativeReaction": "<string>"
}
'import requests
url = "https://dataapi.dncscrub.com/v1.5/legalentity/Create"
payload = {
"LegalName": "<string>",
"IsDefault": True,
"EIN": "<string>",
"StreetAddress": "<string>",
"City": "<string>",
"State": "<string>",
"Zip": "<string>",
"CountryCode": "<string>",
"IndustryId": "<string>",
"PrimaryPhoneNumber": "<string>",
"PrimaryContactName": "<string>",
"PrimaryContactEmail": "<string>",
"PrimaryContactPhoneNumber": "<string>",
"EmployeeCount": 123,
"CallsPerMonth": 123,
"DunsNumber": "<string>",
"Url": "<string>",
"Dba": "<string>",
"LicenceNumber": "<string>",
"CallPurposeDescription": "<string>",
"PotentialNegativeReaction": "<string>"
}
headers = {
"loginId": "<loginid>",
"Content-Type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {loginId: '<loginid>', 'Content-Type': '<content-type>'},
body: JSON.stringify({
LegalName: '<string>',
IsDefault: true,
EIN: '<string>',
StreetAddress: '<string>',
City: '<string>',
State: '<string>',
Zip: '<string>',
CountryCode: '<string>',
IndustryId: '<string>',
PrimaryPhoneNumber: '<string>',
PrimaryContactName: '<string>',
PrimaryContactEmail: '<string>',
PrimaryContactPhoneNumber: '<string>',
EmployeeCount: 123,
CallsPerMonth: 123,
DunsNumber: '<string>',
Url: '<string>',
Dba: '<string>',
LicenceNumber: '<string>',
CallPurposeDescription: '<string>',
PotentialNegativeReaction: '<string>'
})
};
fetch('https://dataapi.dncscrub.com/v1.5/legalentity/Create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"LegalEntityId": 68257,
"AcctId": "YOUR_ACCOUNT_ID"
}
Call Deliverability (TrustCall)
Create Legal Entity
Create a new legal entity for your account
POST
/
v1.5
/
legalentity
/
Create
Create Legal Entity
Create a new legal entity for your account. Legal entities represent the business identities under which your phone numbers are registered and are used for carrier registration and compliance purposes.
Request
Headers
string
required
Your API Key (LoginId from your DNCScrub account)
string
required
Must be
application/jsonRequest Body
string
required
The registered legal name of the business entity
boolean
Set to
true to make this the default legal entity for the accountstring
Employer Identification Number (EIN), digits without a dash (e.g., “987654321”)
string
Street address of the legal entity
string
City of the legal entity’s address
string
State or province code (e.g., “NY”, “CA”)
string
ZIP or postal code
string
Two-letter country code (e.g., “US”)
string
Industry identifier code. See the table below for valid values.
| ID | Industry |
|---|---|
| 1 | Education |
| 2 | Transportation |
| 3 | Retail |
| 4 | Delivery/Shipping |
| 5 | Government |
| 6 | Health Care |
| 7 | Financial |
| 8 | Public Service |
| 9 | Real Estate |
| 10 | Legal |
| 11 | Restaurant/Food Services |
| 12 | Automotive |
| 13 | Religious |
| 14 | Veterinary Services |
| 15 | Trade Contractors |
| 16 | Personal Services |
| 17 | Business Services |
| 18 | Hospitality/Entertainment |
| 19 | Insurance |
| 20 | Manufacturing |
| 21 | Other Business |
| 22 | Telecommunications |
| 23 | Technology |
| 24 | Non-Profit |
| 25 | Travel |
| 26 | Utilities |
| 27 | Prison |
string
Primary contact phone number for the legal entity
string
Name of the primary contact person
string
Email address of the primary contact
string
Phone number of the primary contact person
integer
Number of employees at the company
integer
Estimated number of outbound calls per month
string
Dun & Bradstreet DUNS number
string
required
Company website URL
string
“Doing Business As” name, if different from legal name
string
Business license number
string
Description of the purpose of outbound calls
string
Description of potential negative reaction
Example Request
curl --location --request POST \
'https://dataapi.dncscrub.com/v1.5/legalentity/Create' \
--header 'loginId: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
"IsDefault": false,
"LegalName": "Test New Company LLC",
"EIN": "123456789",
"StreetAddress": "123 Main Street",
"City": "Austin",
"State": "TX",
"Zip": "78701",
"CountryCode": "US",
"IndustryId": "7",
"PrimaryContactName": "John Doe",
"PrimaryContactEmail": "john.doe@testcompany.com",
"PrimaryContactPhoneNumber": "5125551234",
"PrimaryPhoneNumber": "5125550000",
"CallsPerMonth": 10000,
"EmployeeCount": 50,
"DunsNumber": "123456789",
"Url": "https://www.testcompany.com",
"Dba": "Test Co",
"LicenceNumber": "LIC-12345",
"CallPurposeDescription": "Customer service follow-up calls",
"PotentialNegativeReaction": "Low"
}'
const response = await fetch(
'https://dataapi.dncscrub.com/v1.5/legalentity/Create',
{
method: 'POST',
headers: {
'Content-Type': 'application/json',
'loginId': 'YOUR_API_KEY'
},
body: JSON.stringify({
LegalName: 'Test New Company LLC',
IsDefault: false,
EIN: '123456789',
StreetAddress: '123 Main Street',
City: 'Austin',
State: 'TX',
Zip: '78701',
CountryCode: 'US',
IndustryId: '7',
PrimaryPhoneNumber: '5125550000',
PrimaryContactName: 'John Doe',
PrimaryContactEmail: 'john.doe@testcompany.com',
PrimaryContactPhoneNumber: '5125551234',
EmployeeCount: 50,
CallsPerMonth: 10000,
DunsNumber: '123456789',
Url: 'https://www.testcompany.com',
Dba: 'Test Co',
LicenceNumber: 'LIC-12345',
CallPurposeDescription: 'Customer service follow-up calls',
PotentialNegativeReaction: 'Low'
})
}
);
const data = await response.json();
console.log(data);
using (var client = new HttpClient())
{
client.DefaultRequestHeaders.Add("loginId", "YOUR_API_KEY");
var requestData = new
{
LegalName = "Test New Company LLC",
IsDefault = false,
EIN = "123456789",
StreetAddress = "123 Main Street",
City = "Austin",
State = "TX",
Zip = "78701",
CountryCode = "US",
IndustryId = "7",
PrimaryPhoneNumber = "5125550000",
PrimaryContactName = "John Doe",
PrimaryContactEmail = "john.doe@testcompany.com",
PrimaryContactPhoneNumber = "5125551234",
EmployeeCount = 50,
CallsPerMonth = 10000,
DunsNumber = "123456789",
Url = "https://www.testcompany.com",
Dba = "Test Co",
LicenceNumber = "LIC-12345",
CallPurposeDescription = "Customer service follow-up calls",
PotentialNegativeReaction = "Low"
};
var content = new StringContent(
JsonSerializer.Serialize(requestData),
Encoding.UTF8,
"application/json"
);
var response = await client.PostAsync(
"https://dataapi.dncscrub.com/v1.5/legalentity/Create",
content
);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
{
"LegalEntityId": 68257,
"AcctId": "YOUR_ACCOUNT_ID"
}
Response Fields
integer
The unique identifier assigned to the newly created legal entity
string
The account ID the legal entity belongs to
Error Responses
| Status | Description |
|---|---|
| 400 Bad Request | Missing required fields (e.g., LegalName) or request body is empty |
| 401 Unauthorized | Invalid or missing API key |
| 409 Conflict | A legal entity with the same LegalName already exists |
| 500 Internal Server Error | Server error during processing |
⌘I